Add Multiple Members to Group

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps in adding multiple new members to a WorkDrive group.

Endpoints

OAuth Scope

WorkDrive.groups.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/groupmembers \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"group_id":"ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023","role_id":"31","member_zuid":"747938058"},"type":"groupmembers"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
group_idstring(Required)

The unique ID of the group, where one needs to add new members.

role_idinteger(Required)

Allowed values for group member role:

  • 30 - Group Admin.
  • 31 - Group Member.

member_zuidstring(Required)

The unique ID that represents group members.

typestring(Required)

The JSON:API resource type. Always "groupmembers".

Allowed Values :
Show Values
groupmembersCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "group_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023",
        "role_id": "31",
        "member_zuid": "747938058"
      },
      "type": "groupmembers"
    }
  }
                
Show full

Response Example

I007

F000

201
201
400
500
Copied!
  {
    "data": [
      {
        "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023",
        "type": "groupmembers",
        "attributes": {
          "member_id": 2774428000000002000,
          "email_id": "reyansh.ahuja@zylker.com",
          "added_time": "Apr 13, 12:25 AM",
          "capabilities": {
            "can_read": true,
            "can_delete": true,
            "can_edit": true,
            "can_rename": true,
            "can_add_members": true
          },
          "display_name": "Zylker Creation",
          "modified_time": "Apr 13, 12:25 AM",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
          "group_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
          "role_id": 31,
          "added_by": "Zylker Creation",
          "modified_by": "Zylker Creation",
          "member_zuid": "747938058",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/groupmembers/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002023"
        }
      },
      {
        "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002024",
        "type": "groupmembers",
        "attributes": {
          "member_id": 2774428000000002000,
          "email_id": "reyansh.west@zylker.com",
          "added_time": "Apr 13, 12:25 AM",
          "capabilities": {
            "can_read": true,
            "can_delete": true,
            "can_edit": true,
            "can_rename": true,
            "can_add_members": true
          },
          "display_name": "Zylker Creation",
          "modified_time": "Apr 13, 12:25 AM",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938123&fs=thumb&nps=404",
          "group_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
          "role_id": 31,
          "added_by": "Zylker Creation",
          "modified_by": "Zylker Creation",
          "member_zuid": "747938123",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/groupmembers/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002024"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I007",
        "title": "Unauthorized App"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full